summaryrefslogtreecommitdiffstats
path: root/cix.sh
diff options
context:
space:
mode:
authorSimon Brandhof <simon.brandhof@sonarsource.com>2016-02-05 16:51:05 +0100
committerSimon Brandhof <simon.brandhof@sonarsource.com>2016-02-10 17:13:16 +0100
commite851411f7fd6a1e9f8e94caf92ef10699acb03a9 (patch)
treeadfa5ee5511d0e4b6c7410279d302b42c9d987ee /cix.sh
parenta1be1bb19a200cf6cc2e2685972623df96e553fd (diff)
downloadsonarqube-e851411f7fd6a1e9f8e94caf92ef10699acb03a9.tar.gz
sonarqube-e851411f7fd6a1e9f8e94caf92ef10699acb03a9.zip
Enable QA pipeline at SonarSource
Diffstat (limited to 'cix.sh')
-rwxr-xr-xcix.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/cix.sh b/cix.sh
new file mode 100755
index 00000000000..0fc437a9e66
--- /dev/null
+++ b/cix.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+#
+
+set -euo pipefail
+
+case "$RUN_ACTIVITY" in
+
+ run-db-unit-tests-*)
+ DB_ENGINE=`echo $RUN_ACTIVITY | sed "s/run-db-unit-tests-//g"`
+
+ ./run-db-unit-tests.sh "http://infra.internal.sonarsource.com/jenkins/orch-${DB_ENGINE}.properties"
+ ;;
+
+ run-db-integration-tests-*)
+ DB_ENGINE=`echo $RUN_ACTIVITY | sed "s/run-db-integration-tests-//g" | cut -d \- -f 1`
+ CATEGORY=`echo $RUN_ACTIVITY | sed "s/run-db-integration-tests-//g" | cut -d \- -f 2`
+
+ echo "./run-db-integration-tests.sh $DB_ENGINE $CATEGORY $SLAVE_TYPE"
+ ;;
+
+ run-upgrade-tests-*)
+ DB_ENGINE=`echo $RUN_ACTIVITY | sed "s/run-upgrade-tests-//g"`
+
+ echo "./run-upgrade-tests.sh $DB_ENGINE $SLAVE_TYPE"
+ ;;
+
+ run-perf-tests)
+ ./run-perf-tests.sh
+ ;;
+
+ *)
+ echo "unknown RUN_ACTIVITY = $RUN_ACTIVITY"
+ exit 1
+ ;;
+
+esac